From ba17f740b048929afa60a861828030e8b1164882 Mon Sep 17 00:00:00 2001
From: vincentdemaertelaere-excentis
 <43844999+vincentdemaertelaere-excentis@users.noreply.github.com>
Date: Thu, 8 Oct 2020 07:41:17 +0200
Subject: [PATCH 1/2] Update python3-elbe-updated.prerm

Updating python3-elbe-updated pre-removal-script so it queries for the python3-elbe-updated i.s.o. the elbe-updated package which doesn't exist anymore
Signed-off-by: Vincent De Maertelaere <vincent.demaertelaere@excentis.com>
---
 debian/python3-elbe-updated.prerm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/debian/python3-elbe-updated.prerm b/debian/python3-elbe-updated.prerm
index 721b48909..e808e4c22 100644
--- a/debian/python3-elbe-updated.prerm
+++ b/debian/python3-elbe-updated.prerm
@@ -9,9 +9,9 @@ set -e
 #  elbe-updated is updating itself
 
 if which pyclean >/dev/null 2>&1; then
-	pyclean -p elbe-updated 
+	pyclean -p python3-elbe-updated 
 else
-	dpkg -L elbe-updated | grep \.py$ | while read file
+	dpkg -L python3-elbe-updated | grep \.py$ | while read file
 	do
 		rm -f "${file}"[co] >/dev/null
 	done

From 28125b59a97e58cace3f214bcd74440a3c88a489 Mon Sep 17 00:00:00 2001
From: vincentdemaertelaere-excentis
 <43844999+vincentdemaertelaere-excentis@users.noreply.github.com>
Date: Thu, 8 Oct 2020 07:42:23 +0200
Subject: [PATCH 2/2] Update python3-elbe-updated.postinst

updating the python3-elbe-updated post installation script, so it precompiles the files of python3-elbe-updated instead of the non-existing elbe-updated package.
---
 debian/python3-elbe-updated.postinst | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/debian/python3-elbe-updated.postinst b/debian/python3-elbe-updated.postinst
index cb2adf8ca..860fa160f 100644
--- a/debian/python3-elbe-updated.postinst
+++ b/debian/python3-elbe-updated.postinst
@@ -8,5 +8,5 @@ set -e
 #  elbe-updated is updating itself
 
 if which pycompile >/dev/null 2>&1; then
-	pycompile -p elbe-updated 
+	pycompile -p python3-elbe-updated 
 fi
